Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 5_1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.co.westhawk.examplev2c
Class AsteriskChanTypeTablePdu

    java.lang.Object
      |
      +--java.util.Observable
            |
            +--uk.co.westhawk.snmp.stack.Pdu
                  |
                  +--uk.co.westhawk.snmp.stack.GetNextPdu
                        |
                        +--uk.co.westhawk.examplev2c.AsteriskChanTypeTablePdu

public class AsteriskChanTypeTablePdu
extends GetNextPdu

The class AsteriskChanTypeTablePdu. This file is auto generated by the StubBrowser utility, using Mibble. See the uk/co/westhawk/stub/ directory. Make sure that you replace the package name and classname placeholders. Also, move this file to the correct package directory. If these things are not done, this class will not compile correctly!!

Version:
  $Revision: 1.1 $ $Date: 2006/06/19 12:20:49 $

Field Summary
`protected java.lang.Long` | `_astChanTypeChannels`
`protected java.lang.String` | `_astChanTypeDesc`
`protected java.lang.Integer` | `_astChanTypeIndex`
`protected java.lang.String` | `_astChanTypeName`
`protected java.lang.Integer` | `_astNumChanTypes`
`protected boolean` | `_invalid`
`protected int` | `_tmpErrorInd`
`protected int` | `_tmpErrorStat`
`static java.lang.String[]` | `all_oids`
`static java.lang.String` | `astChanTypeChannels_OID`
`static java.lang.String` | `astChanTypeDesc_OID`
`static java.lang.String` | `astChanTypeIndex_OID`
`static java.lang.String` | `astChanTypeName_OID`
`static java.lang.String` | `astNumChanTypes_OID`
`static java.lang.String[]` | `col_oids`
`static int` | `NO_COL`
`static int` | `NO_OID`
`static int` | `NO_SCAL`
`static java.lang.String[]` | `scal_oids`

Fields inherited from class uk.co.westhawk.snmp.stack.Pdu
`added, answered, context, encodedPacket, errind, errstat, msg_type, reqVarbinds, respVarbinds, snmpv3MsgId`

Constructor Summary
`AsteriskChanTypeTablePdu(SnmpContextBasisFace con)` Constructor.
`AsteriskChanTypeTablePdu(SnmpContextBasisFace con, java.util.Observer o)` Constructor that will send the first request immediately.

Method Summary
`void` | `addOids(AsteriskChanTypeTablePdu old)` The method addOids is the basis for the GetNext functionality.
`void` | `addOids(int index)` This method sets the column index.
`java.lang.Long` | `getAstChanTypeChannels()`
`java.lang.String` | `getAstChanTypeDesc()`
`java.lang.Integer` | `getAstChanTypeIndex()`
`java.lang.String` | `getAstChanTypeName()`
`java.lang.Integer` | `getAstNumChanTypes()`
`boolean` | `isInvalid()` Returns if this set of values is invalid.
`protected void` | `new_value(int n, varbind res)` The value of the request is set.
`void` | `setAstChanTypeChannels(AsnObject new_value)` astChanTypeChannels TYPE Gauge32 ::= [APPLICATION 2] INTEGER (0..4294967295) OBJECT-TYPE ( Syntax: [APPLICATION 2] INTEGER (0..4294967295) Access: read-only Status: current Description: Number of active channels using the current technology. )
`void` | `setAstChanTypeDesc(AsnObject new_value)` astChanTypeDesc TYPE DisplayString ::= TEXTUAL-CONVENTION ( Display-Hint: 255a Status: current Description: Represents textual information taken from the NVT ASCII character set, as defined in pages 4, 10-11 of RFC 854.
`void` | `setAstChanTypeIndex(AsnObject new_value)` astChanTypeIndex TYPE Integer32 ::= [UNIVERSAL 2] INTEGER (-2147483648..2147483647) OBJECT-TYPE ( Syntax: [UNIVERSAL 2] INTEGER (-2147483648..2147483647) Access: read-only Status: current Description: Index into the table of channel types. )
`void` | `setAstChanTypeName(AsnObject new_value)` astChanTypeName TYPE DisplayString ::= TEXTUAL-CONVENTION ( Display-Hint: 255a Status: current Description: Represents textual information taken from the NVT ASCII character set, as defined in pages 4, 10-11 of RFC 854.
`void` | `setAstNumChanTypes(AsnObject new_value)` astNumChanTypes TYPE Integer32 ::= [UNIVERSAL 2] INTEGER (-2147483648..2147483647) OBJECT-TYPE ( Syntax: [UNIVERSAL 2] INTEGER (-2147483648..2147483647) Access: read-only Status: current Description: Number of channel types (technologies) supported. )
`java.lang.String` | `toString()` Returns the string representation of the PDU.

Methods inherited from class uk.co.westhawk.snmp.stack.Pdu
`addOid, addOid, addOid, addOid, addOid, addToTrans, getContext, getErrorIndex, getErrorStatus, getErrorStatusString, getMsgType, getReqId, getRequestVarbinds, getResponseVarbinds, isExpectingResponse, isTimedOut, notifyObservers, printVars, send, send, send, sendme, setErrorIndex, setErrorStatus, setErrorStatus, setMsgType, setRetryIntervals, tell_them, toString, waitForSelf`

Methods inherited from class java.util.Observable
`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, setChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### astNumChanTypes_OID

    public static final java.lang.String astNumChanTypes_OID

See Also:
  Constant Field Values

### astChanTypeIndex_OID

    public static final java.lang.String astChanTypeIndex_OID

See Also:
  Constant Field Values

### astChanTypeName_OID

    public static final java.lang.String astChanTypeName_OID

See Also:
  Constant Field Values

### astChanTypeDesc_OID

    public static final java.lang.String astChanTypeDesc_OID

See Also:
  Constant Field Values

### astChanTypeChannels_OID

    public static final java.lang.String astChanTypeChannels_OID

See Also:
  Constant Field Values

### NO_SCAL

    public static final int NO_SCAL

See Also:
  Constant Field Values

### NO_COL

    public static final int NO_COL

See Also:
  Constant Field Values

### NO_OID

    public static final int NO_OID

See Also:
  Constant Field Values

### scal_oids

    public static final java.lang.String[] scal_oids

### col_oids

    public static final java.lang.String[] col_oids

### all_oids

    public static final java.lang.String[] all_oids

### _astNumChanTypes

    protected java.lang.Integer _astNumChanTypes

### _astChanTypeIndex

    protected java.lang.Integer _astChanTypeIndex

### _astChanTypeName

    protected java.lang.String _astChanTypeName

### _astChanTypeDesc

    protected java.lang.String _astChanTypeDesc

### _astChanTypeChannels

    protected java.lang.Long _astChanTypeChannels

### _invalid

    protected boolean _invalid

### _tmpErrorInd

    protected int _tmpErrorInd

### _tmpErrorStat

    protected int _tmpErrorStat

Constructor Detail

### AsteriskChanTypeTablePdu

    public AsteriskChanTypeTablePdu(SnmpContextBasisFace con)

  Constructor.

Parameters:
  `con` - The context of the request

### AsteriskChanTypeTablePdu

    public AsteriskChanTypeTablePdu(SnmpContextBasisFace con,
                                    java.util.Observer o)
                             throws PduException,
                                    java.io.IOException

  Constructor that will send the first request immediately.

Parameters:
  `con` - The context of the request
  `o` - the Observer that will be notified when the answer is received

Method Detail

### addOids

    public void addOids(AsteriskChanTypeTablePdu old)

  The method addOids is the basis for the GetNext functionality. If old is null, it initialises the varbinds from all_oids. If old is not null, it copies the column OIDs from the old AsteriskChanTypeTablePdu object. so the request continues where the previous one left. Note, the scalars and the columns OIDs are handled differently. The scalars are always copied from the original scal_oids, only the column OIDs are copied from the old AsteriskChanTypeTablePdu object.

### addOids

    public void addOids(int index)

  This method sets the column index. By doing this, the request will return (only) the row after row index. The index parameters only applies to the column OIDs. The scalars are copied from the original scal_oids.

### new_value

    protected void new_value(int n,
                             varbind res)

  The value of the request is set. This will be called by Pdu.fillin(). I check if the variables are still in range. I do this because I'm only interessed in a part of the MIB. If I would not do this check, I'll get the whole MIB from the starting point, instead of the variables in the table.

  Overrides:
    `new_value` in class `Pdu`
  Parameters:
    `n` - the index of the value
  See Also:
    `Pdu.new_value(int, uk.co.westhawk.snmp.stack.varbind)`

### setAstNumChanTypes

    public void setAstNumChanTypes(AsnObject new_value)

  astNumChanTypes
  TYPE Integer32 ::= [UNIVERSAL 2] INTEGER (-2147483648..2147483647)
  OBJECT-TYPE ( Syntax: [UNIVERSAL 2] INTEGER (-2147483648..2147483647) Access: read-only Status: current Description: Number of channel types (technologies) supported. )

### getAstNumChanTypes

    public java.lang.Integer getAstNumChanTypes()

### setAstChanTypeIndex

    public void setAstChanTypeIndex(AsnObject new_value)

  astChanTypeIndex
  TYPE Integer32 ::= [UNIVERSAL 2] INTEGER (-2147483648..2147483647)
  OBJECT-TYPE ( Syntax: [UNIVERSAL 2] INTEGER (-2147483648..2147483647) Access: read-only Status: current Description: Index into the table of channel types. )

### getAstChanTypeIndex

    public java.lang.Integer getAstChanTypeIndex()

### setAstChanTypeName

    public void setAstChanTypeName(AsnObject new_value)

  astChanTypeName
  TYPE DisplayString ::= TEXTUAL-CONVENTION ( Display-Hint: 255a Status: current Description: Represents textual information taken from the NVT ASCII character set, as defined in pages 4, 10-11 of RFC 854. To summarize RFC 854, the NVT ASCII repertoire specifies: - the use of character codes 0-127 (decimal) - the graphics characters (32-126) are interpreted as US ASCII - NUL, LF, CR, BEL, BS, HT, VT and FF have the special meanings specified in RFC 854 - the other 25 codes have no standard interpretation - the sequence 'CR LF' means newline - the sequence 'CR NUL' means carriage-return - an 'LF' not preceded by a 'CR' means moving to the same column on the next line. - the sequence 'CR x' for any x other than LF or NUL is illegal. (Note that this also means that a string may end with either 'CR LF' or 'CR NUL', but not with CR.) Any object defined using this syntax may not exceed 255 characters in length. Syntax: [UNIVERSAL 4] OCTET STRING (SIZE (0..255)) )
  OBJECT-TYPE ( Syntax: [UNIVERSAL 4] OCTET STRING (SIZE (0..255)) Access: read-only Status: current Description: Unique name of the technology we are describing. )

### getAstChanTypeName

    public java.lang.String getAstChanTypeName()

### setAstChanTypeDesc

    public void setAstChanTypeDesc(AsnObject new_value)

  astChanTypeDesc
  TYPE DisplayString ::= TEXTUAL-CONVENTION ( Display-Hint: 255a Status: current Description: Represents textual information taken from the NVT ASCII character set, as defined in pages 4, 10-11 of RFC 854. To summarize RFC 854, the NVT ASCII repertoire specifies: - the use of character codes 0-127 (decimal) - the graphics characters (32-126) are interpreted as US ASCII - NUL, LF, CR, BEL, BS, HT, VT and FF have the special meanings specified in RFC 854 - the other 25 codes have no standard interpretation - the sequence 'CR LF' means newline - the sequence 'CR NUL' means carriage-return - an 'LF' not preceded by a 'CR' means moving to the same column on the next line. - the sequence 'CR x' for any x other than LF or NUL is illegal. (Note that this also means that a string may end with either 'CR LF' or 'CR NUL', but not with CR.) Any object defined using this syntax may not exceed 255 characters in length. Syntax: [UNIVERSAL 4] OCTET STRING (SIZE (0..255)) )
  OBJECT-TYPE ( Syntax: [UNIVERSAL 4] OCTET STRING (SIZE (0..255)) Access: read-only Status: current Description: Description of the channel type (technology). )

### getAstChanTypeDesc

    public java.lang.String getAstChanTypeDesc()

### setAstChanTypeChannels

    public void setAstChanTypeChannels(AsnObject new_value)

  astChanTypeChannels
  TYPE Gauge32 ::= [APPLICATION 2] INTEGER (0..4294967295)
  OBJECT-TYPE ( Syntax: [APPLICATION 2] INTEGER (0..4294967295) Access: read-only Status: current Description: Number of active channels using the current technology. )

### getAstChanTypeChannels

    public java.lang.Long getAstChanTypeChannels()

### isInvalid

    public boolean isInvalid()

  Returns if this set of values is invalid.

### toString

    public java.lang.String toString()

  Description copied from class: `Pdu`
  Returns the string representation of the PDU.

  Overrides:
    `toString` in class `Pdu`
  Returns:
    The string of the PDU

Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 5_1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD